#include "rpc.h"
#include "rpcndr.h"

#ifndef __distcomp_h__
#define __distcomp_h__

#ifdef __cplusplus
extern "C"{
#endif 

/* Forward Declarations */ 

#include "dcbunch.h"
void __RPC_FAR * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void __RPC_FAR * ); 

#ifndef __DistComp_INTERFACE_DEFINED__
#define __DistComp_INTERFACE_DEFINED__

/****************************************
 * Generated header for interface: DistComp
 * at Sat Feb 04 11:05:56 1995
 * using MIDL 2.00.72
 ****************************************/
/* [auto_handle][endpoint][version][uuid] */ 


			/* size is 4 */
LONG RPCControl( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lCommand);

			/* size is 4 */
LONG RPCDecompBunchReqAccept( 
    /* [in] */ handle_t hHandle);

			/* size is 4 */
LONG RPCDecompBunchRequest( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lBunchId,
    /* [in] */ BUNCHACTION baAction,
    /* [in] */ LONG lBunchLen,
    /* [in] */ LONG lComFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbComFormat[  ],
    /* [in] */ LONG lUncFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbUncFormat[  ],
    /* [in] */ LONG lRecFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbRecFormat[  ],
    /* [size_is][ref][in] */ LONG __RPC_FAR alCom[  ],
    /* [in] */ LONG lComDataLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbComData[  ]);

			/* size is 4 */
LONG RPCDecompBunchRetAvail( 
    /* [in] */ handle_t hHandle);

			/* size is 4 */
LONG RPCGetDecompBunchResult( 
    /* [in] */ handle_t hHandle,
    /* [out] */ LONG __RPC_FAR *lplReturnStatus,
    /* [out] */ LONG __RPC_FAR *lplBunchId,
    /* [out] */ LONG __RPC_FAR *lplBunchLen,
    /* [in] */ LONG lUncFormatLen,
    /* [size_is][ref][out] */ BYTE __RPC_FAR lpbUncFormat[  ],
    /* [in] */ LONG lMaxUncDataSize,
    /* [out] */ LONG __RPC_FAR *lplUncDataLen,
    /* [length_is][size_is][ref][out] */ BYTE __RPC_FAR lpbUncData[  ]);

			/* size is 4 */
LONG RPCCompBunchReqAccept( 
    /* [in] */ handle_t hHandle);

			/* size is 4 */
LONG RPCCompBunchRequest( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lBunchId,
    /* [in] */ LONG lBunchLen,
    /* [in] */ LONG lUncFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbUncFormat[  ],
    /* [in] */ LONG lRecFormatLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbRecFormat[  ],
    /* [in] */ LONG lUncDataLen,
    /* [size_is][ref][in] */ BYTE __RPC_FAR lpbUncData[  ]);

			/* size is 4 */
LONG RPCCompBunchRetAvail( 
    /* [in] */ handle_t hHandle,
    /* [in] */ LONG lBunchId);

			/* size is 4 */
LONG RPCGetCompBunchResult( 
    /* [in] */ handle_t hHandle,
    /* [out] */ LONG __RPC_FAR *lplReturnStatus,
    /* [ref][out][in] */ LONG __RPC_FAR *lplBunchId,
    /* [out] */ LONG __RPC_FAR *lplBunchLen,
    /* [in] */ LONG lRecFormatLen,
    /* [size_is][ref][out] */ BYTE __RPC_FAR lpbRecFormat[  ],
    /* [in] */ LONG lMaxBunchLen,
    /* [length_is][size_is][ref][out] */ LONG __RPC_FAR alRec[  ],
    /* [length_is][size_is][ref][out] */ DWORD __RPC_FAR dwRetFlags[  ],
    /* [in] */ LONG lMaxRecDataSize,
    /* [out] */ LONG __RPC_FAR *lplRecDataLen,
    /* [length_is][size_is][ref][out] */ BYTE __RPC_FAR lpbRecData[  ]);



extern RPC_IF_HANDLE DistComp_v1_0_c_ifspec;
extern RPC_IF_HANDLE DistComp_v1_0_s_ifspec;
#endif /* __DistComp_INTERFACE_DEFINED__ */

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif
